Subject: Re: bug#29565: [PATCH] Support xwidget webkit for macOS X

From: Eli Zaretskii <[email-masked]>
Date: Tue, 11 Aug 2020 18:22:08 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Stefan Kangas <[email-masked]>,  [email-masked],  Jaesup Kwak
>  <[email-masked]>,  Sungbin Jo <[email-masked]>, Eli Zaretskii
>  <[email-masked]>
> Date: Tue, 11 Aug 2020 13:04:17 +0200
> 
> Alan Third <[email-masked]> writes:
> 
> > I felt it was pretty clear that RMS did not want this code in Emacs.
> > We've already had to remove code that used blocks, even though as you
> > point out, GCC can't build Emacs on macOS anyway.
> >
> > I don't really understand the argument.
> >
> > If you wish to argue the point with RMS, go ahead. :)
> 
> rms isn't the Emacs maintainer, though, so it's up to Eli.
> 
> Eli, what do you think?

I actually don't see where Richard said he didn't want this code in
Emacs.  The code doesn't implement any feature we don't have on free
systems, so why does it matter what compiler is required for that?  At
worst, macOS users will not have xwidget webkit support, so what?